/*
This program toggled the pins of AVR Module AL-XAVRB in a 100ms cycle.

It start with the left side (PORT A B C) and go to the right side (PORT D E F). 
The program set at first each pin LOW and then HIGH.  
*/
#include "avr_compiler.h"

int main( void )
{
	uint8_t	i=0,k=0;	
	
	/* left side of AL-XAVRB as high-output */

	PORTA.DIR = 0xFF;
	PORTA.OUT = 0xFF;

	PORTB.DIR = 0xFF;
	PORTB.OUT = 0xFF;

	PORTC.DIR = 0xFF;
	PORTC.OUT = 0xFF;

	/* right side of AL-XAVRB as high-output */
	
	PORTD.DIR = 0xFF;
	PORTD.OUT = 0xFF;	

	PORTE.DIR = 0xFF;
	PORTE.OUT = 0xFF;

	PORTF.DIR = 0xFF;
	PORTF.OUT = 0xFF;	

	i=0;
	k=0;


	while(true)
		{
		_delay_ms(100);
		
		switch(k)
			{
			case 0:		PORTA.OUTTGL = (1<<i);
						if(i>=7)k++;
						break;

			case 1:		PORTB.OUTTGL = (1<<i);
						if(i>=7)
						{k++;i=7;}
						break;
			
			case 2:		PORTC.OUTTGL = (1<<i);
						if(i>=7)k++;
						break;

			case 3:		PORTD.OUTTGL = (1<<i);
						if(i>=7)
						{k++;i=7;}
						break;
			
			case 4:		PORTE.OUTTGL = (1<<i);
						if(i>=7)k++;
						break;

			case 5:		PORTF.OUTTGL = (1<<i);
						if(i>=7)k++;
						break;
			}

		i++;
		if(i>7)i=0;
		if(k>=6)k=0;
		}

}

